%define _name   streamtuner2

Name:           streamtuner
Version:        2.0.8
Release:        alt1_11
Summary:        An internet radio browser
Group:          Sound
License:        Public Domain
URL:            http://milki.erphesfurt.de/streamtuner2/
Source0:        http://milki.erphesfurt.de/streamtuner2/streamtuner2-%{version}.src.tgz
Requires:       pygtk2 audacious xterm
Requires:       perl gtk-doc
BuildRequires:  findutils desktop-file-utils
BuildRequires:  python-devel
BuildArch:      noarch
Obsoletes:      streamtuner-devel

# Patches
Patch0:         streamtuner2-default-config-desktop-file.patch
Source44: import.info

%description
Streamtuner lists radio directory services like Shoutcast, Xiph, Live365, 
MyOggRadio, Jamendo. It allows listening via any audio player and recording of
streams via streamripper.
This is streamtuner2 which mimics the older streamtuner 0.99.99 application
in look and feel. But it's an independent rewrite and runs on Python;
is therefore easier to extend.

%prep
%setup -qn %{_name}
%patch0 -p1 -b .default-config-desktop-file

%build

%install
%{__install} -D -m 755 st2.py %{buildroot}/%{_bindir}/%{_name}
%{__install} -D -m 644 %{_name}.desktop %{buildroot}/%{_datadir}/applications/%{_name}.desktop
%{__install} -D -m 644 %{_name}.png %{buildroot}/%{_datadir}/pixmaps/%{_name}.png

%{__mkdir} %{buildroot}/%{_datadir}/%{_name}
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png" -or -name "*.glade"`
for f in $files
    do install -m 644 $f %{buildroot}/%{_datadir}/%{_name}/
done

# Permission correction
%{__chmod} 0755 %{buildroot}/%{_datadir}/%{_name}/st2.py

# Gnome help browser
%{__mkdir} -p %{buildroot}%{_datadir}/doc/%{_name}/help
%{__cp} -rp help %{buildroot}%{_datadir}/doc/%{_name}

# Channels
%{__mkdir} %{buildroot}/%{_datadir}/%{_name}/channels
pushd channels
files=`find . -maxdepth 1 -type f -name "*.py*" -or -name "*.png"`
for f in $files
    do install -m 644 $f %{buildroot}/%{_datadir}/%{_name}/channels/
done
popd

# Fix encoding issues
for file in README; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

sed -i -e 's/^Icon=%{_name}.png$/Icon=%{_name}/g' %{buildroot}%{_datadir}/applications/%{_name}.desktop
sed -i -e 's/^Value=/Version=/g' %{buildroot}%{_datadir}/applications/%{_name}.desktop

desktop-file-install                         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Audio                       \
  --add-category Tuner                       \
  --add-category GTK                         \
  --delete-original                          \
  %{buildroot}%{_datadir}/applications/%{_name}.desktop
  
%files
%doc README
%{_bindir}/%{_name}
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/pixmaps/%{_name}.png
%dir %{_datadir}/%{_name}
%{_datadir}/%{_name}/*.py*
%{_datadir}/%{_name}/*.png
%{_datadir}/%{_name}/*.glade
%dir %{_datadir}/%{_name}/channels
%{_datadir}/%{_name}/channels/*.py*
%{_datadir}/%{_name}/channels/*.png
%dir %{_datadir}/doc/%{_name}/help
%{_datadir}/doc/%{_name}/help/*

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.8-alt1_11
- initial fc import

